@echo off
if %2x==x goto NOTE1
if exist %1\LMYM.* goto START
echo.
echo LMYM software not found in %1!
echo.
goto end

:START
echo Installing the LMYM software.
echo.
copy %1\LMYM.bat   %2
if not exist %2\LMYM.bat goto NOTE2
echo Creating %2\LM subdirectory.
echo.
md %2\lm

echo Copying files from %1 to %2
echo.
copy %1\ %2\LM
if exist %2\LM\esfmicr.*  del %2\LM\esfmicr.*>nul
if exist %2\esfmicr.*     del %2\esfmicr.*>nul
echo.
if exist %2\lm\LMYM.* goto NOTE3
echo ************************** LMYM Installation failure! *************************
goto end

:NOTE1
echo =============================================================================
echo This utility can install your LMYM software automatically.  To use it you
echo must tell it two things:
echo.
echo 1.  Where the LMYM software is, and
echo 2.  Where your Managing Your Money software is.
echo.
echo For example, if the LMYM software is still in floppy drive A: and MYM is in
echo D:\MYM, then you should type:                              --
echo ------
echo.
echo A:INSTALL A: D:\MYM
echo --        -- ------
echo.
echo The utility will then create a d:\mym\lm subdirectory and copy all of the 
echo LMYM software there.  Then it will copy the files LMYM.BAT into your D:\MYM
echo directory.  When it is done your D:\MYM directory will have only two new 
echo entries, the LM subdirectory and the file LMYM.BAT.
echo =============================================================================

goto end

:NOTE2
echo =============================================================================
echo Installation FAILURE --- Could not copy into directory %2!
echo =============================================================================

goto end

:NOTE3
echo *************************** LMYM is now installed! ****************************
pause
echo.
echo =============================================================================
echo If you decide to remove LMYM you need only follow these steps:
echo.
echo CD %2
echo DEL LMYM.BAT
echo DEL LM
echo RD  LM
echo.
echo To use the LMYM software enter:
echo.
echo CD %2
echo LMYM
echo.
echo Enjoy!
echo =============================================================================

goto end

:end
